Package gnu.io

## Interface CommPortOwnershipListener

- All Superinterfaces:
    `java.util.EventListener`

      public interface CommPortOwnershipListener
      extends java.util.EventListener

  Since:
    JDK1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `PORT_OWNED` |
    `static int` | `PORT_OWNERSHIP_REQUESTED` |
    `static int` | `PORT_UNOWNED` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ownershipChange​(int type)` |

- - ### Field Detail

    - #### PORT_OWNED

          static final int PORT_OWNED

      See Also:
        Constant Field Values

    - #### PORT_UNOWNED

          static final int PORT_UNOWNED

      See Also:
        Constant Field Values

    - #### PORT_OWNERSHIP_REQUESTED

          static final int PORT_OWNERSHIP_REQUESTED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### ownershipChange

          void ownershipChange​(int type)